section.with-background:before {
    bottom: -2px;
    top:-2px;
}
@media (max-width: 1400px) {
    .banner-middle-logo {
        margin-bottom: 50px;
    }
    .flower-decoration {
        opacity: 0.4;
    }
}
@media (max-width: 1200px) {
    .ban-bot-menu ul li a {
        font-size: 18px;
        margin-right: 25px;
    }
    .banner-bottom-menu .book-button a {
        font-size: 18px;
    }
    .block-text {
        padding: 0;
    }
    .fr-le-img img {
        width: 100%;
    }
    .foot-text span, .foot-text a {
        display: block;
        font-size: 12px;
    }
    section.header-menu.fixed-active .container {
        width: 100%;
    }
    .menu-list ul li {
        margin: 0 5px;
    }
    .menu-list .logo {
        margin: 0 7px;
    }

    .ellipse-block {
        width: 320px;
        height: 320px;
    }
    .el-title h2 {
        font-size: 20px;
        margin-top: 47px;
    }
    .el-text {
        font-size: 14px;
    }
}
@media (max-width: 1000px) {
    .top-banner{
        display: none;
    }
    .ban-bot-menu {
        display: none;
    }
    .flex-middle-column .book-button a.tel-header.for-mobile {
        display: none !important;
    }
    .flex-middle-column .banner-bottom-menu {
        justify-content: center;
    }
    .flex-middle-column .book-button{
        padding: 0 !important;
        border:none !important
    }
    
    .flex-middle-column {
        -webkit-justify-content: center;
        -ms-flex-pack: center;
        justify-content: center;
    }
    section.header-menu {
        top: 0;
        opacity: 1;
    }
    .for-desktop {
        display: none;
    }
    .for-mobile {
        display: inline-block !important;
    }
    .header-menu .language-phone-block, .header-menu .book-button {
        position: initial;
    }
    .wrap-content {
        position: fixed;
        left: 0;
        bottom: 0;
        top: 0px;
        padding-top: 85px;
        visibility: hidden;
        opacity: 0;
        right: 0;
    }
    .wrap-content.active {
        opacity:1;
        visibility: visible;
    }
    .wrap-content:after {
        content: "";
        position: absolute;
        top: 0;
        right: 0;
        left: 0;
        bottom: 0;
        background: #fff;
        z-index: -1;
        -webkit-transition: 0.2s linear 0.2s;
        -moz-transition: 0.2s linear 0.2s;
        -o-transition: 0.2s linear 0.2s;
        -ms-transition: 0.2s linear 0.2s;
        transition: 0.2s linear 0.2s;
        opacity:0;
    }
    .wrap-content.active:after {
        opacity:1;
    }
    .menu-list ul li, .menu-list ul {
        display:  block;
    }
    .menu-list ul li a {
        margin: 7px;
    }
    .book-button {
        float: none;
        margin-top:  0px;
        padding-top:  30px;
        border-top: 1px solid #e4e4e4;
    }
    a.tel-header.for-mobile {
        display: block !important;
        margin-bottom: 15px;
    }
    .lang-list {
        text-align: center;
        float: none;
        margin-top: 20px;
    }
    .book-button, .menu-list ul li {
        -webkit-transition: 0.4s linear 0.4s;
        -moz-transition: 0.4s linear 0.4s;
        -o-transition: 0.4s linear 0.4s;
        -ms-transition: 0.4s linear 0.4s;
        transition: 0.4s linear 0.4s;
        -webkit-transform: translateY(15px);
        -moz-transform: translateY(15px);
        -ms-transform: translateY(15px);
        -o-transform: translateY(15px);
        transform: translateY(15px);
        opacity: 0;
    }
    .menu-list ul li:first-child {
        -webkit-transition-delay: 0.2s;
        -moz-transition-delay: 0.2s;
        -ms-transition-delay: 0.2s;
        -o-transition-delay: 0.2s;
        transition-delay: 0.2s;
    }
    .menu-list ul li:nth-child(2n) {
        -webkit-transition-delay: 0.3s;
        -moz-transition-delay: 0.3s;
        -ms-transition-delay: 0.3s;
        -o-transition-delay: 0.3s;
        transition-delay: 0.3s;
    }
    .menu-list ul li:nth-child(3n) {
        -webkit-transition-delay: 0.4s;
        -moz-transition-delay: 0.4s;
        -ms-transition-delay: 0.4s;
        -o-transition-delay: 0.4s;
        transition-delay: 0.4s;
    }
    .menu-list ul li:nth-child(4n) {
        -webkit-transition-delay: 0.5s;
        -moz-transition-delay: 0.5s;
        -ms-transition-delay: 0.5s;
        -o-transition-delay: 0.5s;
        transition-delay: 0.5s;
    }
    .menu-list ul li:nth-child(5n) {
        -webkit-transition-delay: 0.6s;
        -moz-transition-delay: 0.6s;
        -ms-transition-delay: 0.6s;
        -o-transition-delay: 0.6s;
        transition-delay: 0.6s;
    }
    .book-button {
        -webkit-transition-delay: 0.7s;
        -moz-transition-delay: 0.7s;
        -ms-transition-delay: 0.7s;
        -o-transition-delay: 0.7s;
        transition-delay: 0.7s;
        opacity: 1;
        transform: none;
    }
    .wrap-content.active  .book-button, .wrap-content.active .menu-list ul li {
        opacity: 1;
        transform: none;
        -webkit-transform: none;
        -moz-transform: none;
        -ms-transform: none;
        -o-transform: none;
        transform: none;
    }
    .menu-hamburger {
        position: relative;
        width: 30px;
        height: 30px;
        display: inline-block;
        cursor: pointer;
        -webkit-transition: all 200ms ease-out;
        -moz-transition: all 200ms ease-out;
        -o-transition: all 200ms ease-out;
        transition: all 200ms ease-out;
        z-index: 1000;
    }
    .icon-menu-burger {
        height: 2px;
        width: 26px;
        position: absolute;
        top: 50%;
        left: 50%;
        margin: -1px 0 0 -13px;
        -webkit-transition: transform 0.2s ease 0s;
        -moz-transition: transform 0.2s ease 0s;
        -o-transition: transform 0.2s ease 0s;
        -ms-transition: transform 0.2s ease 0s;
        transition: transform 0.2s ease 0s;
        -webkit-transition: -webkit-transform 0.2s ease 0s;
    }
    .icon-menu-burger__line {
        background: #006dff;
        height: 100%;
        width: 100%;
        position: absolute;
        top: 0;
        left: 0;
        -webkit-transition: transform 0.2s linear 0.2s;
        -moz-transition: transform 0.2s linear 0.2s;
        -o-transition: transform 0.2s linear 0.2s;
        -ms-transition: transform 0.2s linear 0.2s;
        transition: transform 0.2s linear 0.2s;
        -webkit-transition: -webkit-transform 0.2s linear 0.2s;
    }
    .icon-menu-burger:before, .icon-menu-burger:after {
        background: #006dff;
        content: '';
        height: 100%;
        width: 100%;
        position: absolute;
        left: 0;
    }
    .icon-menu-burger:before {
        top: -9px;
        -webkit-transition: top 0.2s linear 0.4s;
        -moz-transition: top 0.2s linear 0.4s;
        -o-transition: top 0.2s linear 0.4s;
        -ms-transition: top 0.2s linear 0.4s;
        transition: top 0.2s linear 0.4s;
    }
    .icon-menu-burger:after {
        bottom: -9px;
        -webkit-transition: bottom 0.2s linear 0.4s;
        -moz-transition: bottom 0.2s linear 0.4s;
        -o-transition: bottom 0.2s linear 0.4s;
        -ms-transition: bottom 0.2s linear 0.4s;
        transition: bottom 0.2s linear 0.4s;
    }
    .menu-hamburger.active .icon-menu-burger{
        -webkit-transform: rotate(45deg);
        -moz-transform: rotate(45deg);
        -o-transform: rotate(45deg);
        -ms-transform: rotate(45deg);
        transform: rotate(45deg);
        -webkit-transition: transform 0.2s linear 0.4s;
        -moz-transition: transform 0.2s linear 0.4s;
        -o-transition: transform 0.2s linear 0.4s;
        -ms-transition: transform 0.2s linear 0.4s;
        transition: transform 0.2s linear 0.4s;
        -webkit-transition: -webkit-transform 0.2s linear 0.4s;
    }
    .menu-hamburger.active .icon-menu-burger__line{
        -webkit-transform: rotate(90deg);
        -moz-transform: rotate(90deg);
        -o-transform: rotate(90deg);
        -ms-transform: rotate(90deg);
        transform: rotate(90deg);
    }
    .menu-hamburger.active .icon-menu-burger:before {
        -webkit-transition: top 0.2s linear;
        -moz-transition: top 0.2s linear;
        -o-transition: top 0.2s linear;
        -ms-transition: top 0.2s linear;
        transition: top 0.2s linear;
        top: 0;
    }
    .menu-hamburger.active .icon-menu-burger:after {
        -webkit-transition: bottom 0.2s linear;
        -moz-transition: bottom 0.2s linear;
        -o-transition: bottom 0.2s linear;
        -ms-transition: bottom 0.2s linear;
        transition: bottom 0.2s linear;
        bottom: 0;
    }
    .wrap-mob-ver {
        display: flex;
        width: 100%;
        align-items: center;
        justify-content: space-between;
        display: -ms-flexbox;
        display: -webkit-flex;
        display: flex;
        -webkit-justify-content: space-between;
        -ms-flex-pack: justify;
        justify-content: space-between;
        -webkit-align-content: stretch;
        -ms-flex-line-pack: stretch;
        align-content: stretch;
        -webkit-align-items: center;
        -ms-flex-align: center;
        align-items: center;
        position: relative;
        z-index: 3;
    }
    .wrap-mob-ver .lang-list {
        margin: 0;
    }
    .wrap-mob-ver .logo img {
        width: 90px;
        transition: 0.4s ease;
    }
    section.header-menu {
        height: 95px;
    }
    .wrap-mob-ver .logo {
        margin-left: 60px;
    }
    .language-phone-block {
        display: none;
    }
    section.header-menu .container {
        width: 100%;
    }
    section.header-menu .wrap-mob-ver .logo img {
        width: 65px;
    }
    section.header-menu {
        height: 75px;
    }
    .video-bg {
       
    }
    .footer-top .col-sm-3 {
        width: 50%;
        margin-top: 35px;
    }
    .form-content .col-tb-4 {
        display: none;
    }
    .form-content .col-tb-8 {
        width: 100%;
    }
    .form-content .col-tb-8 .form-fields {
        padding: 0;
    }
    .line-fields {
        margin: 70px 0 80px;
    }
    .form-content {
        background-position: center;
    }
    .m-f-block {
        margin: 0;
        width: 50%;
    }
    .img-block {
        padding: 6px;
    }

    .footer-top .col-sm-3 {
        width: 50%;
        margin-top: 35px;
        float: left;
    }
    .form-content {
        background-position: center;
        background-size: 50%;
    }
    .table-block {
        margin: 0;
    }
    .footer-top , .footer-top .table-block{
        min-height: 210px;
        height: 210px;
        margin: 0;
    }
    section.main-banner {
        min-height: 40vh;
        height: auto;
        padding-top: 75px;
    }
    .banner-text h1 {
        padding: 0;
        font-size: 28px;
    }
    .banner-links a {
        padding: 11px 15px;
        margin-bottom: 15px;
    }
    section.header-menu ul.child-menu {
        position: initial;
        opacity: 1;
        visibility: visible;
        box-shadow: none;
        width: auto;
        height: 0;
        text-align: center;
        overflow: hidden;
        display: block;
        padding: 0;
    }
    section.header-menu ul.child-menu li a:hover {
        padding: 0;
        opacity: 0.8;
    }
    section.header-menu ul.child-menu li {
        margin: 0;
    }
    section.header-menu li.has-dropdown:hover ul.child-menu {
        height: auto;
    }
    .food-items .col-sm-3 {
        width: 50%;
        float: left;
    }
    .cart-table table th {
        display: none;
    }
    .cart-table table tr {
        border: 1px solid #e1e1e1 !important;
        margin-bottom: 10px;
        display: block;
        padding: 5px;
        box-shadow: 0px 0px 13px -4px rgba(0, 0, 0, 0.25);
        background: rgba(255, 255, 255, 0.7490196078431373);
        position: relative;
    }
    .cart-table table tr:first-child, .cart-table table thead {
        border: none !important;
        display: none;
    }
    .cart-table table tr td {
        display: block;
        text-align: left;
        padding: 5px;
    }
    .table-head-text {
        width: 110px;
        font-size: 15px;
        font-weight: 300;
    }
    a.remove-from-cart {
        position: absolute;
        bottom: 15px;
        right: 17px;
    }
    .img-cart {
        float: left;
    }
    .cart-table table tr td:after {
        content: "";
        clear: both;
        display: block;
    }
    .cart-table table h4 {
        display: inline;
        font-weight: 500;
    }
    .form-cart .col-tb-8 {
        width: 100%;
    }
    .form-cart .col-tb-4 {
        display: none;
    }
    .form-cart .input-field {
        width: 48%;
        margin-top: 30px;
    }
    .form-cart .line-fields {
        flex-wrap: wrap;
    }
    .form-cart {
        margin-bottom: 40px;
    }
    .form-contact .table-cell:nth-child(2) {
        display: none;
    }
    .form-contact .table-cell {
        width: 100%;
    }
    .form-contact {
        margin: 0;
    }
    .form-contact .form-fields {
        padding: 0;
    }
    section.welcome-to-st .col-sm-6 {
        width: 100%;
    }
    section.awards {
        padding-bottom: 50px;
    }
    .about-text {
        padding: 0;
    }
    .ellipse-content .container {
        flex-wrap: wrap;
        flex-direction: column;
        align-items: flex-start;
        max-width: 710px;
        width: 100%;
    }
    .ellipse-block {
        flex: 0 1 auto;
        align-self: flex-start;
    }
    .ellipse-block:nth-child(2n) {
        align-self: flex-end;
    }
}
@media (max-width: 1000px) { 
    .product-thumbnail {
        display: block !important;
    }
    .line-fields + .line-fields .input-field {
        width: 100%;
    }
    form.checkout {
        text-align: center;
    }
    .cart-table table.cart tr:first-child {
        display: block;
    }
}
@media (max-width: 767px) {
    .slogan-page h2 {
        font-size: 34px;
        text-align: center;
    }
    .slogan-page {
        height: 400px;
    }
    section.img-text-content .table-cell {
        width: 70%;
        margin-bottom: 50px;
    }
    section.img-text-content .table-block {
        margin: 0;
        -webkit-flex-direction: column;
        -ms-flex-direction: column;
        flex-direction: column;
    }
    section.img-text-content:nth-child(even) .table-block {
        -webkit-flex-direction: column-reverse;
        -ms-flex-direction: column-reverse;
        flex-direction: column-reverse;
    }
    section.img-text-content .table-cell .col-sm-6 {
        width: 50%;
        float: left;
    }
    .footer-bottom .flex-between {
        -webkit-flex-direction: column;
        -ms-flex-direction: column;
        flex-direction: column;
        text-align: center;
    }
    .footer-bottom .flex-between div[class*=-block] {
        margin: 15px 0;
    }
    .footer-bottom .flex-between {
        height: auto;
        padding: 20px 0;
    }
    .flower-decoration {
        opacity: 0.2;
    }
    .form-content .line-fields {
        display: block;
        margin-bottom: 25px;
    }
    .form-content .input-field {
        width: 45%;
        float: left;
        margin: 0 10px;
        margin-bottom: 30px;
    }
    .form-content .line-fields:after {
        content: "";
        clear: both;
        display: block;
        position: relative;
    }
    .form-content .input-field label {
        min-width: 100%;
    }
    .form-content .action-field {
        text-align: center;
    }
    section.order-menu .col-sm-4 {
        width: 50%;
        float: left;
        margin-bottom: 20px;
    }
    .ellipse-block {
        float: none;
        /*margin: -55px auto;*/
    }
    .inf-text {
        background: transparent;
        padding: 0;
        text-align: center;
    }

    .category-foods.flex-between {
        display: block;
    }

    .list-menu {
        display: -ms-flexbox;
        display: -webkit-flex;
        -webkit-flex-wrap: wrap;
        -ms-flex-wrap: wrap;
        flex-wrap: wrap;
        text-align: center;
        margin: 0 -17px;
        margin-bottom: 20px;
    }

    .list-menu a {
        width: 33.3333%;
        display: block;
        padding: 10px;
        border: 1px solid #ddd;
        font-size: 15px;
        min-height: 60px;
        padding-top: 19px;
        margin-top: -1px;
        border-right: none;
    }

    .list-menu a:after {
        display: none;
    }

    .confirm-block {
        text-align: center;
    }

    section.choose-menu-list .flower-decoration {
        display: none;
    }

}

@media (max-width: 750px) {
    .wpcf7-form {
        text-align: center;
    }
    /*.ellipse-block {
        border: 5px solid transparent;
    }
    .ellipse-block, .yellow-wrap, .ellipse-block:after {
        border-radius: 50px;
    }
    .ellipse-block:after {
        top: -5px;
        right: -5px;
        bottom: -5px;
        left: -5px;
        }*/
        section.ellipse-content {
            margin: 30px 0;
        }
    /*.ellipse-block {
        width: 100%;
        height:auto;
        }*/
        .yellow-wrap {
            display: block;
        }
        .ellipse-block .banner-links {
            position: initial;
            white-space: nowrap;
            margin-bottom: 17px;
        }
        .ellipse-block .banner-links a {
            font-size: 16px;
        }
        .el-text {
            height: auto;
            margin-bottom: 40px;
        }
        .el-title h2 {
            font-size: 21px;
            margin-top: 50px;
        }
        .food-items {
            margin: 0 -5px;
        }
        .food-items .col-sm-3 {
            padding: 6px;
        }
        .food-items  .item-block {
            margin: 0;
        }
        .you-can-choose {
            margin-bottom: 15px;
        }
        .footer-table .total-price {
            margin-left: 10px;
            margin-right: 10px;
        }
        .pop-up-block {
            width: 90%;
        }
    }
    @media (max-width: 600px) {
        .table-block .col-sm-3:nth-child(3) {
            margin-bottom: 20px;
        }
        .table-block .col-sm-3:nth-child(3) .foot-text {
            width: 70%; 
        }
        .list-menu a {
            width: 50%;
        }
        img[src*="silver_logo.png"] {
            width: 95%;
            margin: 0 auto;
            display: block;
        }
        section.img-text-content .table-cell {
            margin-bottom: 15px;
        }
        section.img-text-content .table-cell .col-sm-6 {
            padding: 0 6px;
            margin-bottom: 15px;
        }
        section.order-menu .col-sm-4 {
            width: 315px;
            float: none;
            display: block;
            margin: 0 auto;
            margin-bottom: 30px;
        }

        .ellipse-block  {
            margin: 15px 0;
            width: 100%;
            height: auto;
        }
        .ellipse-block, .yellow-wrap, .ellipse-block:after {
            border-radius: 50px;
        }

    }
    @media (max-width: 500px) {
        .thank-you {
            font-size: 71px;
        }
        section.img-text-content .table-cell {
            width: 100%;
        }
        .form-content .input-field {
            width:100%;
            margin: 0;
            margin-bottom: 40px;
        }
        .m-f-block {
            width: 100%;
        }
        .footer-top .col-sm-3 {
            width: 85%;
            float: none;
            display: block;
            margin: 0 auto;
            height: 65px;
        }
        .footer-top, .footer-top .table-block {
            height: auto;
            width: 100%;
            margin: 0;
        }
        section.img-text-content .table-cell {
            padding: 0;
        }
        .number-menu {
            font-size: 18px;
        }
        section.img-text-content {
            padding: 45px 0;
        }
        .block-title h2 {
            font-size: 26px;
        }
        .banner-links a {
            font-size: 18px;
        }
        .banner-text {
         margin-bottom: 0px;
     }
     section.main-banner .flex-middle-column {
        height: auto;
        padding: 30px 0;
    }
    .form-cart .input-field {
        width: 100%;
    }
    .action-field {
        text-align: center;
    }
    .form-contact .line-fields {
        display: block;
    }
    .form-contact .input-field {
        width: 100%;
        margin-top: 30px;
    }
    .gm-style-pbc + div .map-contact-block {
        width: 300px;
        padding: 25px;
        margin-left: 0;
    }

    .gm-style-pbc + div .map-contact-block:before {
        content: "";
        position: absolute;
        top: 0;
        bottom: 0;
        left: 0;
        right: 0;
        background: rgba(255, 255, 255, 0.7);
    }

    .map-contact-block * {
        position: relative;
        z-index: 5;
        color: #000;
    }
    .form-contact .table-cell {
        padding: 0;
    }
    #map div[role="button"] {
        display: none;
    }

    #map button {
        display: none;
    }
}
@media (max-width: 750px) and (max-height: 450px) {
    img[src*="silver_logo.png"] {
        height: 35vh;
        margin: 0 auto;
        display: block;
    }
}
@media (max-width: 420px) {
    .food-items .col-sm-3 {
        width: 90%;
        float: none;
        margin: 0 auto;
    }
    .footer-table .clear-cart {
        display: block;
        margin-top: 5px;
    }
    .footer-table .total-price {
        margin-right: 0;
    }
    .footer-table {
        font-size: 15px;
    }
    section.cart-content {
        padding-bottom: 0;
    }
    .left-border-block {
        border-left: 10px solid #000;
        padding: 15px;
    }
    .confirm-block {
        margin-bottom: 10px;
    }
}
@media (max-width: 400px) {
    section.order-menu .col-sm-4 {
        width: 100%;
    }
    .menu-block img {
        width: 100%;
        height: auto;
    }
}
@media (max-width: 350px) {
    .gm-style-pbc + div .map-contact-block {
        width: 285px;
        padding: 20px;
    }
}